### Constructor

# GdkPixbuf.Pixbuf.new_from_file

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_file (
      const char* filename,
      GError** error
    )

#### Description [src]

Creates a new pixbuf by loading an image from a file.

The file format is detected automatically.

If `NULL` is returned, then `error` will be set. Possible errors are:

- the file could not be opened
- there is no loader for the file’s format
- there is not enough memory to allocate the image buffer
- the image buffer contains invalid data

The error domains are `GDK_PIXBUF_ERROR` and `G_FILE_ERROR`.

#### Parameters

`filename` | `const char*`
| Name of file to load, in the GLib file name encoding
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding

#### Return value

Returns: `GdkPixbuf`
A newly-created pixbuf
Ownership of the data is transferred to the caller
Can be `NULL`